UUIDGenerator (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.id
Class UUIDGenerator

    java.lang.Object
      org.hibernate.id.UUIDGenerator

All Implemented Interfaces:
  Configurable, IdentifierGenerator

    public class UUIDGenerator

extends Object
implements IdentifierGenerator, Configurable

An `IdentifierGenerator` which generates `UUID` values using a pluggable `generation strategy`. The values this generator can return include `UUID`, `String` and byte[16]

Supports 2 config parameters:

- `UUID_GEN_STRATEGY` - names the `UUIDGenerationStrategy` instance to use
- `UUID_GEN_STRATEGY_CLASS` - names the `UUIDGenerationStrategy` class to use

Currently there are 2 standard implementations of `UUIDGenerationStrategy`:

- `StandardRandomStrategy` (the default, if none specified)
- `CustomVersionOneStrategy`

Field Summary
`static String` | `UUID_GEN_STRATEGY`
`static String` | `UUID_GEN_STRATEGY_CLASS`

Fields inherited from interface org.hibernate.id.IdentifierGenerator
`ENTITY_NAME`

Constructor Summary
`UUIDGenerator()`

Method Summary
`static UUIDGenerator` | `buildSessionFactoryUniqueIdentifierGenerator()`
`void` | `configure(Type type, Properties params, Dialect d)` Configure this instance, given the value of parameters specified by the user as `<param>` elements.
`Serializable` | `generate(SessionImplementor session, Object object)` Generate a new identifier.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UUID_GEN_STRATEGY

    public static final String UUID_GEN_STRATEGY

See Also:
  Constant Field Values

### UUID_GEN_STRATEGY_CLASS

    public static final String UUID_GEN_STRATEGY_CLASS

See Also:
  Constant Field Values

Constructor Detail

### UUIDGenerator

    public UUIDGenerator()

Method Detail

### buildSessionFactoryUniqueIdentifierGenerator

    public static UUIDGenerator buildSessionFactoryUniqueIdentifierGenerator()

### configure

    public void configure(Type type,
                          Properties params,
                          Dialect d)
                   throws MappingException

  Description copied from interface: `Configurable`
  Configure this instance, given the value of parameters specified by the user as `<param>` elements. This method is called just once, following instantiation.

  Specified by:
    `configure` in interface `Configurable`
    `params` - param values, keyed by parameter name
  Throws:
    `MappingException`

### generate

    public Serializable generate(SessionImplementor session,
                                 Object object)
                          throws HibernateException

  Description copied from interface: `IdentifierGenerator`
  Generate a new identifier.

  Specified by:
    `generate` in interface `IdentifierGenerator`
    `object` - the entity or toplevel collection for which the id is being generated
  Returns:
    a new identifier
  Throws:
    `HibernateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.